Summary: Basic authentication for the Apache web server using a PostgreSQL database.
Name: mod_auth_pgsql
Version: 0.9.12
Release: 2
Group: System Environment/Daemons
URL: http://www.giuseppetanzilli.it/mod_auth_pgsql/
Source: http://www.giuseppetanzilli.it/mod_auth_pgsql/dist/mod_auth_pgsql-%{version}.tar.gz
License: BSDish
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: apache-devel, postgresql-devel
Requires: webserver

%description
mod_auth_pgsql can be used to limit access to documents served by a web server
by checking fields in a table in a PostgresQL database.

%prep
%setup -q

%build
%{_sbindir}/apxs -I%{_includedir}/pgsql -c -o %{name}.so *.c -lpq

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README *.html
%{_libdir}/apache/*.so

%changelog
* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.12-2
- rebuild

* Fri Jan 18 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.12-1
- 0.9.12

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Nov 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.11-1
- 0.9.11

* Wed Oct 10 2001 Tim Powers <timp@redhat.com> 0.9.9-3
- rebuilt against posgress for ia64

* Wed Oct 10 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.9-2
- Fix MD5 password authentication

* Wed Sep 26 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.9-1
- update to 0.9.9

* Wed Sep 19 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-2
- add patch from Andreas Hasenack to close more string injection problems

* Wed Sep  5 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-1
- update to 0.9.8, fixing problems detailed at
  http://cert.uni-stuttgart.de/advisories/apache_auth.php

* Fri May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
